#include "GUIDisplay.h"
#include "RPS.h"

void GUIDisplay::show_game_start() const
{
    rps->show_start_game();
}

void GUIDisplay::show_game_end(const int human_wins,
                               const int computer_wins,
                               const int ties,
                               const int max_rounds) const
{
    rps->show_end_game();
}

void GUIDisplay::show_round(const int round) const
{
    rps->show_round(round);
}

void GUIDisplay::update(const Choice human_choice,
                        const Choice computer_choice,
                        const Choice predicted_choice,
                        const Who winner,
                        const int human_wins,
                        const int computer_wins,
                        const int ties) const
{
    rps->update_UI(human_choice, computer_choice, predicted_choice,
                   winner, human_wins, computer_wins, ties);
}
